/*
  This example shows how to use the digital-to-analog converter (DAC) of the ESP32.
  A DAC is a digital device that generates a desired voltage on the output.
  The CanSatNeXT has two pins that have a DAC - 25 and 26. This example uses 25.
  Note that the voltage generated by the DAC is not very accurate, and also you can't
  draw much current from it - or the voltage changes, as the internal resistance (known as impedance) 
  of the DAC is quite large.
*/

// Let's use pin 25.
#define DAC_PIN 25
 
void setup()
{
  // Nothing to do here
}
 
void loop()
{
  // Loop over all values from 0 to 255.
  for(int i = 0; i<=255; i++)
  {
    // Write value i to the DAC.
    // The value range is 0 to 255, roughly translating to output of 0.15 to 3.15 volts.
    dacWrite(DAC_PIN, i);

    // Small delay before writing the next value.
    delay(10);
  }
}
